Page MenuHomePhabricator

Deprecate & remove citations icons from 'content' pack
Closed, ResolvedPublic

Description

Deprecate and remove:

  • 'book',
  • 'citeArticle',
  • 'journal',
  • 'newspaper'

Event Timeline

Volker_E created this task.May 8 2018, 1:08 AM
Volker_E triaged this task as Low priority.

Change 431687 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] [DEPRECATING CHANGE] icons: Deprecate 'editing-citation' icons from 'content'

https://gerrit.wikimedia.org/r/431687

Volker_E moved this task from Backlog to Reviewing on the OOUI board.May 8 2018, 1:43 AM

Change 431687 merged by jenkins-bot:
[oojs/ui@master] [DEPRECATING CHANGE] icons: Deprecate 'editing-citation' icons from 'content'

https://gerrit.wikimedia.org/r/431687

Vvjjkkii renamed this task from Deprecate & remove citations icons from 'content' pack to jfdaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii raised the priority of this task from Low to High.
Vvjjkkii removed Volker_E as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot assigned this task to Volker_E.
CommunityTechBot lowered the priority of this task from High to Low.
CommunityTechBot renamed this task from jfdaaaaaaa to Deprecate & remove citations icons from 'content' pack.
CommunityTechBot added subscribers: gerritbot, Aklapper.

Change 452446 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[oojs/ui@master] [BREAKING CHANGE] icons: Drop cite icons, renamed and deprecated in v0.27.0

https://gerrit.wikimedia.org/r/452446

Volker_E updated the task description. (Show Details)Aug 13 2018, 9:36 PM

Change 452446 merged by jenkins-bot:
[oojs/ui@master] [BREAKING CHANGE] icons: Drop cite icons, renamed and deprecated in v0.27.0

https://gerrit.wikimedia.org/r/452446

Change 452734 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/AdvancedSearch@master] Update usage of 'journal' OOUI icon to use from 'editing-citation' pack

https://gerrit.wikimedia.org/r/452734

Change 452735 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/WikiEditor@master] Update usage of 'book' OOUI icon to use from 'editing-citation' pack

https://gerrit.wikimedia.org/r/452735

Change 452872 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Update OOUI to v0.28.0

https://gerrit.wikimedia.org/r/452872

Change 452872 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.28.0

https://gerrit.wikimedia.org/r/452872

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

The OOUI release landed in MediaWiki 1.32.0-wmf.18.

Change 452735 merged by jenkins-bot:
[mediawiki/extensions/WikiEditor@master] Update usage of 'book' OOUI icon to use from 'editing-citation' pack

https://gerrit.wikimedia.org/r/452735

Volker_E updated the task description. (Show Details)Aug 15 2018, 10:25 PM

Change 452734 merged by WMDE-Fisch:
[mediawiki/extensions/AdvancedSearch@master] Update usage of 'journal' OOUI icon to use from 'editing-citation' pack

https://gerrit.wikimedia.org/r/452734

Volker_E updated the task description. (Show Details)Aug 16 2018, 8:51 AM
Volker_E updated the task description. (Show Details)Aug 21 2018, 9:10 PM
Volker_E closed this task as Resolved.
Volker_E updated the task description. (Show Details)
Volker_E removed a subscriber: gerritbot.